Icon (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Icon class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Icon

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Link
              org.boehn.kmlframework.kml.Icon

    public class Icon

extends Link

Constructor Summary
`Icon()`
`Icon(java.lang.String href, RefreshModeEnum refreshMode, java.lang.Double refreshInterval, ViewRefreshModeEnum viewRefreshMode, java.lang.Double viewRefreshTime, java.lang.Double viewBoundScale, ViewFormat viewFormat, java.lang.String httpQuery)`

Method Summary
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Link
`getHref, getHttpQuery, getRefreshInterval, getRefreshMode, getViewBoundScale, getViewFormat, getViewRefreshMode, getViewRefreshTime, setHref, setHttpQuery, setRefreshInterval, setRefreshMode, setViewBoundScale, setViewFormat, setViewRefreshMode, setViewRefreshTime, writeInner`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Icon

    public Icon()

### Icon

    public Icon(java.lang.String href,
                RefreshModeEnum refreshMode,
                java.lang.Double refreshInterval,
                ViewRefreshModeEnum viewRefreshMode,
                java.lang.Double viewRefreshTime,
                java.lang.Double viewBoundScale,
                ViewFormat viewFormat,
                java.lang.String httpQuery)

Method Detail

### write

    public void write(Kml kml)
               throws KmlException

  Overrides:
    `write` in class `Link`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Overrides:
    `writeDelete` in class `Link`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD